Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.toolbox
Class Search

    java.lang.Object
      org.kemet.toolbox.Search

    public class Search

extends java.lang.Object

Since:
  0.1
Author:
  fabricemaupin

  items search

Constructor Summary
`Search()`

Method Summary
`static int` | `countSequence(java.lang.String s, java.lang.String str)` count number of time a sequence is find in a string.
`static java.util.regex.Matcher` | `getMatch()` return the match value.
`static boolean` | `isContainsNoAlphaNumericCaracters(java.lang.String str)` string contain no alpha numeric caracters ?
`static boolean` | `valueExist(java.lang.String[] s, java.lang.String[] s2)` search for each item of "s" array, if is found in "s2" array.
`static boolean` | `valueExist(java.lang.String s, java.lang.String[] s2)` search for "s" string, if is found in "s2" array.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Search

    public Search()

Method Detail

### valueExist

    public static boolean valueExist(java.lang.String[] s,
                                     java.lang.String[] s2)

  search for each item of "s" array, if is found in "s2" array.

  Parameters:
    `s` - reference array of string
    `s2` - array of string for search
  Returns:
    true / false
  Since:
    0.1

### valueExist

    public static boolean valueExist(java.lang.String s,
                                     java.lang.String[] s2)

  search for "s" string, if is found in "s2" array.

  *

  Parameters:
    `s` - reference array of string
    `s2` - array of string for search
  Returns:
    true / false
  Since:
    0.1

### isContainsNoAlphaNumericCaracters

    public static boolean isContainsNoAlphaNumericCaracters(java.lang.String str)

  string contain no alpha numeric caracters ?

  Parameters:
    `str` - reference string
  Returns:
    true /false
  Since:
    0.1

### countSequence

    public static int countSequence(java.lang.String s,
                                    java.lang.String str)

  count number of time a sequence is find in a string.

  Parameters:
    `s` - sequence
    `str` - string to analyze
  Returns:
    counter
  Since:
    0.1

### getMatch

    public static java.util.regex.Matcher getMatch()

  return the match value.

  Returns:
    match value
  Since:
    0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.